Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/guide_build.sh
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/guide_build.sh	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/guide_build.sh	(revision 11422)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+## Avoid the use of shell builtin echo (for -e option)
+alias echo='/bin/echo -e'
+
+## Check dependancies
+##-------------------
+
+## Sphinx, BibTeX extension and "Read The Docs" theme
+if [ -n "$( ./tools/check_pkg.py sphinx sphinxcontrib.bibtex sphinx_rtd_theme )" ]; then
+    echo 'One of the Python dependencies is missing => QUIT'
+    exit 2
+fi
+
+cd rst
+
+echo "\t¤ Clean previous build"
+make clean
+echo
+
+echo "\t¤ Generation of the guide"
+make html > /dev/null
+echo
+
+echo "\t¤ End of building run"
+echo "Open ./rst/build/html/NEMO_guide.html"
+cd - > /dev/null
+
+exit 0
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/.svnignore
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/.svnignore	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/.svnignore	(revision 11422)
@@ -0,0 +1,18 @@
+*.aux
+*.bbl
+*.blg
+*.dvi
+*.fdb*
+*.fls
+*.idx
+*.ilg
+*.ind
+*.lof
+*.log
+*.lot
+*.maf
+*.mtc*
+*.out
+*.pdf
+*.toc
+_minted-*
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/DEPS
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/DEPS	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/DEPS	(revision 11422)
@@ -0,0 +1,58 @@
+amsmath
+babel
+caption
+capt-of
+carlisle
+cmap
+courier
+draftwatermark
+ec
+enumitem
+epstopdf
+etoolbox
+everypage
+fancyhdr
+fancyvrb
+float
+fncychap
+framed
+fvextra
+geometry
+graphics
+graphics-cfg
+helvetic
+hyperref
+ifplatform
+imakeidx
+koma-script
+latex
+latexconfig
+latex-bin
+latex-fonts
+latexmk
+lineno
+lm
+marvosym
+minitoc
+minted
+natbib
+needspace
+oberdiek
+parskip
+preview
+psnfss
+subfiles
+tabulary
+times
+titlesec
+titling
+tools
+upquote
+url
+varwidth
+wrapfig
+xcolor
+xkeyval
+xstring
+zapfchan
+
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/HTML_latex2html.sh
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/HTML_latex2html.sh	(revision 10999)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/HTML_latex2html.sh	(revision 11422)
@@ -1,20 +1,27 @@
 #!/bin/bash
 
-./inc/clean.sh
-./inc/build.sh
+#./inc/clean.sh
+#./inc/build.sh
 
-cd tex_main
-sed -i -e 's#\\documentclass#%\\documentclass#' -e '/{document}/ s/^/%/' \
-	../tex_sub/*.tex
-sed -i    's#\\subfile{#\\include{#g' \
-	NEMO_manual.tex
-latex2html -local_icons -no_footnode -split 4 -link 2 -mkdir -dir ../html_LaTeX2HTML 	\
-				$* 																								\
-	NEMO_manual
-sed -i -e 's#%\\documentclass#\\documentclass#' -e '/{document}/ s/^%//' \
-	../tex_sub/*.tex
-sed -i    's#\\include{#\\subfile{#g' \
-	NEMO_manual.tex
+sed -i -e 's#utf8#latin1#'                                 \
+       -e 's#\[outputdir=../build\]{minted}#\[\]{minted}#' \
+       -e '/graphicspath/ s#{../#{../../#g'                \
+          global/packages.tex
+
+cd ./NEMO/main
+sed -i -e 's#\\documentclass#%\\documentclass#' -e '/{document}/ s#^#%#'   ../subfiles/*.tex
+sed -i    's#\\subfile{#\\input{#'                                         chapters.tex appendices.tex
+
+#latex2html                                   -noimages -local_icons -no_footnode -split 4 -link 2 -dir ../html_LaTeX2HTML $*	NEMO_manual
+latex2html -debug -noreuse -init_file ../../l2hconf.pm -local_icons                               -dir ../build/html               NEMO_manual
+
+sed -i -e 's#%\\documentclass#\\documentclass#' -e '/{document}/ s#^%##'   ../subfiles/*.tex
+sed -i    's#\\input{#\\subfile{#'                                         chapters.tex appendices.tex
 cd -
 
+sed -i -e 's#latin1#utf8#'                                 \
+       -e 's#\[\]{minted}#\[outputdir=../build\]{minted}#' \
+       -e '/graphicspath/ s#{../../#{../#g'                \
+	  global/packages.tex
+
 exit 0
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/NEMO_manual.ist
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/NEMO_manual.ist	(revision 10999)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/NEMO_manual.ist	(revision 11422)
@@ -1,3 +1,1 @@
-delim_0 "\\dotfill"
-delim_1 "\\dotfill"
-delim_2 "\\dotfill"
+link ../../global/index.ist
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/blocks.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/blocks.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/blocks.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/blocks.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/keys.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/keys.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/keys.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/keys.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/modules.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/modules.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/modules.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/modules.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/parameters.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/parameters.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/parameters.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/parameters.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/subroutines.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/subroutines.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/NEMO/main/subroutines.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/subroutines.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/build/SI3_manual.ist
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/build/SI3_manual.ist	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/build/SI3_manual.ist	(revision 11422)
@@ -0,0 +1,1 @@
+link ../../global/index.ist
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/SI3_manual.ist
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/SI3_manual.ist	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/SI3_manual.ist	(revision 11422)
@@ -0,0 +1,1 @@
+link ../../global/index.ist
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/blocks.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/blocks.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/blocks.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/blocks.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/keys.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/keys.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/keys.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/keys.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/modules.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/modules.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/modules.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/modules.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/parameters.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/parameters.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/parameters.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/parameters.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/subroutines.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/subroutines.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/main/subroutines.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/subroutines.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/namelists/namsbc
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/namelists/namsbc	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/SI3/namelists/namsbc	(revision 11422)
@@ -0,0 +1,14 @@
+!------------------------------------------------------------------------------
+&namsbc         !   Ice surface boundary conditions
+!------------------------------------------------------------------------------
+   rn_cio           =   5.0e-03       !  ice-ocean drag coefficient (-)
+   rn_blow_s        =   0.66          !  mesure of snow blowing into the leads
+                                      !     = 1 => no snow blowing, < 1 => some snow blowing
+   nn_flxdist       =  -1             !  Redistribute heat flux over ice categories
+                                      !     =-1  Do nothing (needs N(cat) fluxes)
+                                      !     = 0  Average N(cat) fluxes then apply the average over the N(cat) ice
+                                      !     = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
+                                      !     = 2  Redistribute a single flux over categories
+   ln_cndflx        = .false.         !  Use conduction flux as surface boundary conditions (i.e. for Jules coupling)
+      ln_cndemulate = .false.         !     emulate conduction flux (if not provided in the inputs)
+/
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/build/TOP_manual.ist
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/build/TOP_manual.ist	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/build/TOP_manual.ist	(revision 11422)
@@ -0,0 +1,1 @@
+link ../../global/index.ist
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/TOP_manual.ist
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/TOP_manual.ist	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/TOP_manual.ist	(revision 11422)
@@ -0,0 +1,1 @@
+link ../../global/index.ist
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/blocks.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/blocks.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/blocks.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/blocks.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/keys.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/keys.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/keys.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/keys.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/modules.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/modules.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/modules.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/modules.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/parameters.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/parameters.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/parameters.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/parameters.idx
Index: NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/subroutines.idx
===================================================================
--- NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/subroutines.idx	(revision 11422)
+++ NEMO/branches/2019/fix_vvl_ticket1791/doc/latex/TOP/main/subroutines.idx	(revision 11422)
@@ -0,0 +1,1 @@
+link ../build/subroutines.idx
